#include <cstdio>
#include <cstdlib>
#include <vector>
#include <algorithm>
using namespace std;

//        :
// h    
// p      ,      0
// shift         p
int getTotalDistance(vector<int> const &h, vector<int> const &p, int shift)
{
    int sum = 0;
    for (int i = 0; i < h.size(); i++)
    {
        sum += abs(p[i] + shift - h[i]);
    }
    return sum;
}

//    n     
//  ,      n/2,   :
// v  ,    
int getMedian(vector<int> &v)
{
    int middle = v.size() / 2;
    nth_element(v.begin(), v.begin() + middle, v.end()); //     v[middle]
    return v[middle];
}

//                :
// h    
// p      ,      0
int calculateAnswer(vector<int> const &h, vector<int> const &p)
{
    vector<int> d; //        
    for (int i = 0; i < h.size(); i++)
    {
        d.push_back(h[i] - p[i]);
    }
    //   ,  ,     :
    return getTotalDistance(h, p, getMedian(d));
}

int main()
{
    freopen("parking.in", "r", stdin);
    freopen("parking.out", "w", stdout);

    int n;
    scanf("%d", &n);

    vector<int> h; //  
    for (int i = 0; i < n; i++)
    {
        int pos;
        scanf("%d", &pos);
        h.push_back(pos);
    }

    vector<int> p; //    ,      0
    p.push_back(0);
    for (int i = 1; i < n; i++)
    {
        int shift;
        scanf("%d", &shift);
        p.push_back(p[i - 1] + shift);
    }

    printf("%d\n", calculateAnswer(h, p));
}